ZipArchive::open
ZipArchive::renameName
ZipArchive
PHP Manual

# ZipArchive::renameIndex

Renames an entry defined by its index

### Description

bool ZipArchive::renameIndex ( int `$index` , string `$newname` )

Renames an entry defined by its index.

### Parameters

`index`

  Index of the entry to rename.

`newname`

  New name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Rename one entry

`<?php
$zip = new ZipArchive;
$res = $zip->open('test.zip');
if ($res === TRUE) {
$zip->renameIndex(2,'newname.txt');
$zip->close();
} else {
echo 'failed, code:' . $res;
}
?>`